gRPC C#
gRPC C#
Namespaces
Grpc.Core
SslCredentials Class
SslCredentials Constructor
SslCredentials Constructor
SslCredentials Constructor (String)
SslCredentials Constructor (String, KeyCertificatePair)

SslCredentials Constructor (String, KeyCertificatePair)

Creates client-side SSL credentials.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public SslCredentials(
    	string rootCertificates,
    	KeyCertificatePair keyCertificatePair
    )

    Public Sub New (
    	rootCertificates As String,
    	keyCertificatePair As KeyCertificatePair
    )

    public:
    SslCredentials(
    	String^ rootCertificates,
    	KeyCertificatePair^ keyCertificatePair
    )

    new :
            rootCertificates : string *
            keyCertificatePair : KeyCertificatePair -> SslCredentials

#### Parameters

rootCertificates
  Type: System
  String
  string containing PEM encoded server root certificates.
keyCertificatePair
  Type: Grpc.Core
  KeyCertificatePair
  a key certificate pair.

See Also

#### Reference

SslCredentials Class
SslCredentials Overload
Grpc.Core Namespace